/* jshint node: true, esversion: 6*/
"use strict";

let express = require('express');
let app = express();
let httpServer = require("http").Server(app);
let io = require("socket.io")(httpServer);

let path = require('path');

app.use(express.static(path.join(__dirname, 'public')));

io.sockets.on("connection", function (socket) {
    socket.on("message", function (data) {
        io.sockets.emit("echo", "No tak, tak – dostałem: " + data);
    });
    socket.on("error", function (err) {
        console.dir(err);
    });
});

httpServer.listen(3000, function () {
    console.log('Serwer HTTP działa na porcie ' + 3000);
});
